function out = isopstring(tmpstring)

%   isopstring


%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      


if strcmp(tmpstring,'transpose') |strcmp(tmpstring,'ctranspose')|strcmp(tmpstring,'colon') |...
            exist(tmpstring)==5 | exist(tmpstring)==2 |exist(tmpstring)==6 |strcmp(tmpstring,'ldivide') |...
            strcmp(tmpstring,'mldivide') |strcmp(tmpstring,'rdivide') |strcmp(tmpstring,'mrdivide') |...
            strcmp(tmpstring,'times') | strcmp(tmpstring,'mtimes') |  strcmp(tmpstring,'power') |...
            strcmp(tmpstring,'mpower') | strcmp(tmpstring,'mpower')|strcmp(tmpstring,'horzcat')|strcmp(tmpstring,'vercat')
    out = 1;
else
    out = 0;
end
        
        
return